Skip to main content
GET
/
orgs
/
{org_id}
/
tables
List tables
curl --request GET \
  --url https://api.useinvent.com/orgs/{org_id}/tables \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.useinvent.com/orgs/{org_id}/tables"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.useinvent.com/orgs/{org_id}/tables', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "<string>",
    "name": "Companies",
    "description": "Companies are organizations that own and manage other organizations.",
    "record_prefix": "LEAD",
    "icon": "<string>",
    "display_field_id": "<string>",
    "archived": true,
    "position": 123,
    "fields": [
      {
        "id": "<string>",
        "table_id": "<string>",
        "key": "<string>",
        "schema": {
          "type": "file",
          "name": "<string>",
          "description": "<string>",
          "optional": true,
          "array": true,
          "placeholder": "<string>",
          "display": {},
          "order": 1,
          "link": "<string>",
          "metadata": {},
          "allowed_modes": [],
          "broadcast_field": true,
          "integration_field": true,
          "display_field": true,
          "conditions": [
            {
              "field": "<string>",
              "value": "<unknown>"
            }
          ],
          "hidden": true,
          "picker": {
            "type": "google_drive",
            "views": [],
            "selectable_mime_types": [
              "<string>"
            ]
          },
          "requires": [
            "<string>"
          ],
          "disable_variables": true,
          "allowed_types": [
            "<string>"
          ],
          "visibility": "PRIVATE"
        },
        "readonly": true,
        "kind": "system"
      }
    ],
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
required

Bearer token authentication using your API key

Path Parameters

org_id
string
required

The ID of the org

Query Parameters

type
enum<string>
Available options:
custom,
contacts,
chats,
users

Search tables by name.

Maximum string length: 256
status
enum<string>

Filter by visibility. ACTIVE excludes archived (default), ARCHIVED returns only archived, ALL returns both.

Available options:
ACTIVE,
ARCHIVED,
ALL
page
number

Page number

take
number

Number of items to take

next
string

Next page token (Only used on special endpoints)

Response

200 - application/json
id
string
required
type
enum<string>
required
Available options:
custom,
contacts,
chats,
users
name
string | null
required

The name of the table.

Example:

"Companies"

description
string | null
required

The description of the table.

Example:

"Companies are organizations that own and manage other organizations."

record_prefix
string | null
required

The prefix of the record.

Example:

"LEAD"

icon
required

The picked icon. Null renders the default table icon.

display_field_id
string | null
required

The id of the display field.

archived
boolean
required

Whether the table is archived.

position
integer
required

Manual display order within the org.

fields
object[]
required
created_at
string<date-time> | null
required
updated_at
string<date-time> | null
required